
/* nbody_utility.c */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "nbody_utility.h"

/*
 * Seed the random number generator.
 */
void seed_random (int random_seed)
{ /* seed_random */

    srandom(random_seed);

} /* seed_random */

/*
 * Returns a uniformly distributed random number between 0 and 1.
 */
float uniform_random_0_to_1 ()
{ /* uniform_random_0_to_1 */

    return (float)(random() / ((float)RAND_MAX + 1.0));
}
 /* uniform_random_0_to_1 */

/*
 * Shut down the program cleanly after a failure.
 */
void die_cleanly ()
{ /* die_cleanly */
 
   exit(program_failure_code);
}
 /* die_cleanly */

