!! hello_world_openmp.f90

      PROGRAM hello_world_openmp
          IMPLICIT NONE
!         INCLUDE "omp.h"

          INTEGER :: number_of_threads, this_thread, thread
          INTEGER :: mpi_error_code

          INTEGER,EXTERNAL :: omp_get_max_threads, omp_get_thread_num

          number_of_threads = omp_get_max_threads()
!$OMP PARALLEL DO
          DO thread = 0, number_of_threads - 1
              this_thread = omp_get_thread_num()
              PRINT *, this_thread, " of ", number_of_threads,         &
      &           ": Hello, world!"
          END DO !! thread

      END PROGRAM hello_world_openmp

